\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.3 - 3D Skin Surface Meshing

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
List of all members
CGAL::Skin_surface_polyhedral_items_3< SkinSurface3 > Struct Template Reference
3D Skin Surface Meshing Reference

`#include <CGAL/Skin_surface_polyhedral_items_3.h>`

## Inherits from

CGAL::Polyhedron_items_3.

## Definition

An items class for the `Polyhedron_3` that stores information in faces instead of an auxiliary data structure.

Using it accelerates the subdivision function `subdivide_skin_surface_mesh_3()`.

Examples:
  Skin_surface_3/NGHK_skin_surface_simple.cpp, Skin_surface_3/NGHK_skin_surface_subdiv.cpp, Skin_surface_3/skin_surface_retrieve_defining_weighted_points.cpp, Skin_surface_3/skin_surface_subdiv.cpp, Skin_surface_3/skin_surface_subdiv_with_normals.cpp, and Skin_surface_3/union_of_balls_subdiv.cpp.

## Additional Inherited Members
Public Types inherited from CGAL::Polyhedron_items_3
typedef Traits::Plane_3 | Plane
typedef CGAL::Tag_true | Supports_face_plane
Public Member Functions inherited from CGAL::Polyhedron_items_3
| Polyhedron_items_3 ()
Public Attributes inherited from CGAL::Polyhedron_items_3
Polyhedron_items_3::Vertex_wrapper < Refs, Traits >::Vertex typedef Traits::Point_3 | Point
Polyhedron_items_3::Vertex_wrapper < Refs, Traits >::Vertex typedef CGAL::Tag_true | Supports_vertex_point